rtquery(8) on Solnix vs Linux and the BSDs

rtquery on Solnix is the illumos rtquery at /usr/sbin/rtquery. It queries a RIP daemon (in.routed or GateD) for its routing table. Options match FreeBSD and NetBSD. The differences are the daemon name, the default trace file path and the RIPv2 RFC cited.

What Solnix runs

A default Solnix system runs the illumos rtquery at /usr/sbin/rtquery. No other variants are shipped. The Solnix page names the daemon in.routed(8), not routed(8).

Differences

Compared withTopicWhat differs
FreeBSD, NetBSDdaemon nameSolnix rtquery talks to in.routed(8) or GateD. FreeBSD and NetBSD pages name routed(8) (NetBSD also gated(8)). A script that checks for the daemon by name must use in.routed on Solnix.
Source: Solnix rtquery(8) DESCRIPTION; FreeBSD rtquery(8) DESCRIPTION; NetBSD rtquery(8) DESCRIPTION
FreeBSD, NetBSDtrace file for -t on=On Solnix the trace file must have been given when the daemon started or be /var/log/in.routed.trace. FreeBSD and NetBSD say it must usually have been given at start or be a fixed name, often /etc/routed.trace.
Source: Solnix rtquery(8) -t on=tracefile; FreeBSD rtquery(8) -t op; NetBSD rtquery(8) -t op
FreeBSD, NetBSDtracefile wordingThe Solnix page states the file requirement without 'usually'. The FreeBSD and NetBSD pages say 'must usually have been specified', so the rule may vary by daemon.
Source: Solnix rtquery(8) -t on=tracefile; FreeBSD rtquery(8) -t op; NetBSD rtquery(8) -t op
FreeBSD, NetBSDRIPv2 referenceSolnix SEE ALSO cites RFC 2453 (STD 0056) for RIPv2. FreeBSD and NetBSD cite RFC 1723.
Source: Solnix rtquery(8) SEE ALSO; FreeBSD rtquery(8) SEE ALSO; NetBSD rtquery(8) SEE ALSO
FreeBSD, NetBSDexit status documentedThe Solnix page documents exit status: 0 on success, >0 on error. The FreeBSD and NetBSD pages have no EXIT STATUS section.
Source: Solnix rtquery(8) EXIT STATUS; FreeBSD rtquery(8); NetBSD rtquery(8)
Linuxnot in the Linux comparison setNo Linux rtquery page is in the bundle, so the manual gives no Linux comparison. Do not assume a Linux system ships rtquery.
Source: Bundle counterparts list only FreeBSD 15.1 and NetBSD 11.0
OpenBSDno OpenBSD pageNo OpenBSD rtquery page is in the bundle, so the manual gives no OpenBSD comparison.
Source: Bundle counterparts list only FreeBSD 15.1 and NetBSD 11.0

Standards

  • POSIX: rtquery is not a POSIX.1-2024 utility.
  • Solnix: The Solnix page lists RIPv1 as RFC 1058 and RIPv2 as RFC 2453, STD 0056. It points to attributes(7), but the bundle shows no stability table.

Writing portable scripts

  • The flags -1, -a, -n, -p, -r, -t and -w mean the same on Solnix, FreeBSD and NetBSD, so one invocation works on all three.
  • Do not hardcode the trace file path or daemon name: use in.routed and /var/log/in.routed.trace on Solnix, but routed and often /etc/routed.trace on the BSDs.

Every difference here is taken from the manual pages linked above: Solnix's published page, Linux (man-pages and the GNU and util-linux manuals), FreeBSD, OpenBSD and NetBSD. Each row names its source. Where a manual is silent, this page is too. Compiled 2026-10-26. Found a mistake? Mail hackers@lists.solnix.io.